#!/bin/bash

pwd

# patiets No = ???????
for Patient in ???????

do
echo "${Patient}"

# converting DCM to NII
dcm2niix ${Patient}

# Getting into Patient directory
cd ./${Patient}/
echo "Now, running dcm2niix process"
date

# Maling DT directory
mkdir DT
mkdir T1
for file in *.nii
do
gzip ${file}
done

# settinbg files accorind to the numbers as appropriate
cp *_4.bval ./DT/bvals
cp *_4.bvec ./DT/bvecs
cp *_4.nii.gz ./DT/i.nii.gz
cp *_4.json ./DT/i.json
cp *_2.nii.gz ./DT/2vols_b0_PA.nii.gz
cp *_3.nii.gz ./DT/2vols_b0_AP.nii.gz
cp *_10.nii.gz ./T1/i.nii.gz
cp *_10.json ./T1/i.json

# cleaning up raw DICOM files and on-the-way items
chmod -R 777 dicom
rm -r dicom
rm *.nii.gz
rm *.bval
rm *.bvec
rm *.json

# back to working directory
cd ../
done

echo "Finishing dcm2niix process"
pwd
date
