#!/bin/bash

pwd

# patiets No = ???????
for Patient in ???????

do
# Getting into DT directory
cd ./${Patient}/DT/

pwd
echo "Now, running tractography display"
date

echo "Tracts masks numbers correponding as follows"
echo "0 ac"
echo "1 af_l"
echo "2 af_r"
echo "3 ar_l"
echo "4 ar_r"
echo "5 atr_l"
echo "6 atr_r"
echo "7 cbd_l"
echo "8 cbd_r"
echo "9 cbp_l"
echo "10 cbp_r"
echo "11 cbt_l"
echo "12 cbt_r"
echo "13 cst_l"
echo "14 cst_r"
echo "15 fa_l"
echo "16 fa_r"
echo "17 fma"
echo "18 fmi"
echo "19 fx_l"
echo "20 fx_r"
echo "21 ifo_l"
echo "22 ifo_r"
echo "23 ilf_l"
echo "24 ilf_r"
echo "25 mcp"
echo "26 mdlf_l"
echo "27 mdlf_r"
echo "28 or_l"
echo "29 or_r"
echo "30 slf1_l"
echo "31 slf1_r"
echo "32 slf2_l"
echo "33 slf2_r"
echo "34 slf3_l"
echo "35 slf3_r"
echo "36 str_l"
echo "37 str_r"
echo "38 uf_l"
echo "39 uf_r"
echo "40 vof_l"
echo "41 vof_r"

cd ./modified_XTRACT_output_native/stats/Tracts_densityNorm/
THR=0.05
SAT=0.1
fsleyes --bgColour 0 0 0 \
../../../dti_FA.nii.gz -dr 0.05 0.8 \
ac -dr ${THR} ${SAT} -cm blue -n ac \
af_l -dr ${THR} ${SAT} -cm red -n af_l \
af_r -dr ${THR} ${SAT} -cm red -n af_r \
ar_l -dr ${THR} ${SAT} -cm blue-lightblue -n ar_l \
ar_r -dr ${THR} ${SAT} -cm blue-lightblue -n ar_r \
atr_l -dr ${THR} ${SAT} -cm red-yellow -n atr_l \
atr_r -dr ${THR} ${SAT} -cm red-yellow -n atr_r \
cbd_l -dr ${THR} ${SAT} -cm yellow -n cbd_l \
cbd_r -dr ${THR} ${SAT} -cm yellow -n cbd_r \
cbp_l -dr ${THR} ${SAT} -cm hot -n cbp_l \
cbp_r -dr ${THR} ${SAT} -cm hot -n cbp_r \
cbt_l -dr ${THR} ${SAT} -cm coolwarm -n cbt_l \
cbt_r -dr ${THR} ${SAT} -cm coolwarm -n cbt_r \
cst_l -dr ${THR} ${SAT} -cm summer -n cst_l \
cst_r -dr ${THR} ${SAT} -cm summer -n cst_r \
fa_l -dr ${THR} ${SAT} -cm Oranges -n fa_l \
fa_r -dr ${THR} ${SAT} -cm Oranges -n fa_r \
fma -dr ${THR} ${SAT} -cm red -n fma \
fmi -dr ${THR} ${SAT} -cm green -n fmi \
fx_l -dr ${THR} ${SAT} -cm blue-lightblue -n fx_l \
fx_r -dr ${THR} ${SAT} -cm blue-lightblue -n fx_r  \
ifo_l -dr ${THR} ${SAT} -cm red-yellow -n ifo_l \
ifo_r -dr ${THR} ${SAT} -cm red-yellow -n ifo_r \
ilf_l -dr ${THR} ${SAT} -cm yellow -n ilf_l \
ilf_r -dr ${THR} ${SAT} -cm yellow -n ilf_r \
mcp -dr ${THR} ${SAT} -cm hot -n mcp \
mdlf_l -dr ${THR} ${SAT} -cm hsv -n mdlf_l \
mdlf_r -dr ${THR} ${SAT} -cm hsv -n mdlf_r \
or_l -dr ${THR} ${SAT} -cm spring -n or_l \
or_r -dr ${THR} ${SAT} -cm spring -n or_r \
slf1_l -dr ${THR} ${SAT} -cm winter -n slf1_l \
slf1_r -dr ${THR} ${SAT} -cm winter -n slf1_r \
slf2_l -dr ${THR} ${SAT} -cm blue -n slf2_l \
slf2_r -dr ${THR} ${SAT} -cm blue -n slf2_r \
slf3_l -dr ${THR} ${SAT} -cm green -n slf3_l  \
slf3_r -dr ${THR} ${SAT} -cm green -n slf3_r \
str_l -dr ${THR} ${SAT} -cm pink -n str_l \
str_r -dr ${THR} ${SAT} -cm pink -n str_r \
uf_l -dr ${THR} ${SAT} -cm cool -n uf_l \
uf_r -dr ${THR} ${SAT} -cm cool -n uf_r \
vof_l -dr ${THR} ${SAT} -cm copper -n vof_l \
vof_r -dr ${THR} ${SAT} -cm copper -n vof_r &
cd ../../../

cd ../../
done

echo "Finishing tractography display"
pwd
date

