#!/bin/bash

pwd

echo "ID ROI FA Volume WayTotal" > ./data_collection_modified_XTRACT.txt

for Patient in ???????
do
cd ./${Patient}/DT/

pwd
date

cd ./modified_XTRACT_output_native/stats/

for ROI in \
ac \
af_l \
af_r \
ar_l \
ar_r \
atr_l \
atr_r \
cbd_l \
cbd_r \
cbp_l \
cbp_r \
cbt_l \
cbt_r \
cst_l \
cst_r \
fa_l \
fa_r \
fma \
fmi \
fx_l \
fx_r \
ifo_l \
ifo_r \
ilf_l \
ilf_r \
mcp \
mdlf_l \
mdlf_r \
or_l \
or_r \
slf1_l \
slf1_r \
slf2_l \
slf2_r \
slf3_l \
slf3_r \
str_l \
str_r \
uf_l \
uf_r \
vof_l \
vof_r

do
WayTotal=`cat ../tracts/${ROI}/waytotal`
FA=$(grep ${ROI} FA_data.txt | awk '{ print $2 }')
Volume=$(grep ${ROI} Volume_data.txt | awk '{ print $3 }')
echo ${Patient} ${ROI} ${FA} ${Volume} ${WayTotal}
echo ${Patient} ${ROI} ${FA} ${Volume} ${WayTotal} >> ../../../../data_collection_modified_XTRACT.txt

done

cd ../../

cd ../../
done
cat data_collection_modified_XTRACT.txt

echo "Finishing data collection"
pwd
date
